package com.ruoyi.app.service;

import com.ruoyi.app.domain.AppPmsOrderOut;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface IAppPmsOrderOutService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param listId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppPmsOrderOut selectAppPmsOrderOutByListId(String listId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appPmsOrderOut 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppPmsOrderOut> selectAppPmsOrderOutList(AppPmsOrderOut appPmsOrderOut);

    /**
     * 新增【请填写功能名称】
     *
     * @param appPmsOrderOut 【请填写功能名称】
     * @return 结果
     */
    public int insertAppPmsOrderOut(AppPmsOrderOut appPmsOrderOut);

    /**
     * 修改【请填写功能名称】
     *
     * @param appPmsOrderOut 【请填写功能名称】
     * @return 结果
     */
    public int updateAppPmsOrderOut(AppPmsOrderOut appPmsOrderOut);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param listIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteAppPmsOrderOutByListIds(String[] listIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param listId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppPmsOrderOutByListId(String listId);

    int updatePickNum(AppPmsOrderOut appPmsOrderOut);
}
